1Password for iOS 6.9 requires iOS 11?

I noticed that iOS 6.9 requires iOS 11 (according to TestFlight). I'm not on Apple's iOS 11 beta, but will install the GM on Tuesday and I'm looking forward to testing this version!

However, I have family members with 32 bits iOS devices that will not receive iOS 11 (one already stuck on iOS 9, the other now stuck on iOS 10). Can they still use our 1Password.com family account on iOS?


1Password Version: Not Provided
Extension Version: Not Provided
OS Version: Not Provided
Sync Type: Not Provided

Comments

  • AGKyleAGKyle AgileSupport

    Team Member

    Hi @XIII

    Version 6.8.2 is likely going to be one of the last releases that support iOS prior to 11. As of now though 6.8 is able to connect and operate just fine with our 1Password.com service. It's possible that in the future new features won't be available on devices that aren't running the latest version but at least for the time being it won't prevent those older devices from connecting and using the features present in the app currently.

  • This might become a disadvantage of the 1Password.com service that I did not think through before migrating...

    (old devices not being able to run the newest software that still can talk to the server; so being shut off - except for the web version)

  • MrRooniMrRooni

    Team Member

    Good morning @wkleem. Typically this is true. If I were a betting man I wouldn't be surprised to see v6.9 get transformed into v7.0 when it comes time to release it to the world. ;)

  • MrRooniMrRooni

    Team Member

    Good day @XIII. Given the extremely high adoption rates of new versions of iOS we decided to be aggressive with our minimum version requirements for major updates like this. It is true, though, that older versions of the 1Password.com clients will eventually lose the ability to access the service. However, we have no immediate plans to turn off support for version 6.8 so I would say you're safe for quite some time.

  • The current 6.9 beta requires iOS 9.3 and up again?

    Change of plans?

  • rudyrudy

    Team Member

    @XIII,

    The current 6.9 beta is 6.8.2 + Drag & Drop.

    Rudy

  • Hi,

    After reading this Today's 1Password for iOS beta rolls back everything we've done thus far in the 6.9 betas with the notable exception of the drag & drop features on iPad in iOS 11. from the beta release notes, I hope everything will turn up the right way for you and everyone that is looking forward to iOS 11 and 1Password 6.9. This reminds me of Steve Jobs quote:

    “You can’t connect the dots looking forward; you can only connect them looking backward. So you have to trust that the dots will somehow connect in your future. You have to trust in something — your gut, destiny, life, karma, whatever.”

  • brentybrenty

    Team Member

    Indeed, the current beta is compatible with iOS 9.3 and up. Cheers! :)

  • Sorry, I just saw this. Does this mean that in the current Beta, which I didn’t update to, has 1Browser integration as before (or not)? If it is, you might have won me back for a bit more. ;)

  • rudyrudy

    Team Member

    @skippingrock,

    The release version of 6.9 will have it.

    Rudy

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file